Loading...
Searching...
No Matches
HalidePlugin.h File Reference
`#include "Halide.h"`

Go to the source code of this file.

## Macros

#define | HALIDE_KEEP_MACROS
#define | REGISTER_AUTOSCHEDULER(NAME)

## Macro Definition Documentation

## HALIDE_KEEP_MACROS

#define HALIDE_KEEP_MACROS

Definition at line 4 of file HalidePlugin.h.

## REGISTER_AUTOSCHEDULER

#define REGISTER_AUTOSCHEDULER | ( |  | NAME | ) |

Value:
struct HALIDE_EXPORT Register##NAME { \
Register##NAME() { \
debug(1) << "Registering autoscheduler '" #NAME "'...\n"; \
Pipeline::add_autoscheduler(#NAME, NAME()); \
} \
} register_##NAME;
HALIDE_EXPORT
#define HALIDE_EXPORT
Definition Util.h:39

Definition at line 7 of file HalidePlugin.h.